#
# Copyright (c) 2021, 2024 Contributors to the Eclipse Foundation
#
# This program and the accompanying materials are made
# available under the terms of the Eclipse Public License 2.0
# which is available at https://www.eclipse.org/legal/epl-2.0/
#
# SPDX-License-Identifier: EPL-2.0
#

#

pluginName = MaxPlus Edit Support
providerName = www.example.org

_UI_CreateChild_text = {0}
_UI_CreateChild_text2 = {1} {0}
_UI_CreateChild_text3 = {1}
_UI_CreateChild_tooltip = Create New {0} Under {1} Feature
_UI_CreateChild_description = Create a new child of type {0} for the {1} feature of the selected {2}.
_UI_CreateSibling_description = Create a new sibling of type {0} for the selected {2}, under the {1} feature of their parent.

_UI_PropertyDescriptor_description = The {0} of the {1}

_UI_Vector_type = Vector
_UI_Matrix_type = Matrix
_UI_MaxPlusSpecification_type = Max Plus Specification
_UI_Graph_type = Graph
_UI_FSM_type = FSM
_UI_FSMState_type = FSM State
_UI_FSMTransition_type = FSM Transition
_UI_Vertex_type = Vertex
_UI_Edge_type = Edge
_UI_MPS_type = MPS
_UI_MPSConfiguration_type = MPS Configuration
_UI_MPSTransition_type = MPS Transition
_UI_MPA_type = MPA
_UI_MPAState_type = MPA State
_UI_MPATransition_type = MPA Transition
_UI_NamedObject_type = Named Object
_UI_RowVector_type = Row Vector
_UI_ColumnVector_type = Column Vector
_UI_Unknown_type = Object

_UI_Unknown_datatype= Value

_UI_Vector_values_feature = Values
_UI_Matrix_rows_feature = Rows
_UI_MaxPlusSpecification_matrices_feature = Matrices
_UI_MaxPlusSpecification_graphs_feature = Graphs
_UI_Graph_vertices_feature = Vertices
_UI_Graph_edges_feature = Edges
_UI_FSM_initial_feature = Initial
_UI_FSMTransition_matrix_feature = Matrix
_UI_Vertex_outgoing_feature = Outgoing
_UI_Vertex_incoming_feature = Incoming
_UI_Edge_source_feature = Source
_UI_Edge_target_feature = Target
_UI_MPSConfiguration_state_feature = State
_UI_MPSConfiguration_columns_feature = Columns
_UI_MPSTransition_duration_feature = Duration
_UI_MPSTransition_reward_feature = Reward
_UI_MPAState_state_feature = State
_UI_MPAState_matrixRowIndex_feature = Matrix Row Index
_UI_MPAState_matrixColumnIndex_feature = Matrix Column Index
_UI_MPAState_matrix_feature = Matrix
_UI_MPAState_value_feature = Value
_UI_MPATransition_duration_feature = Duration
_UI_MPATransition_reward_feature = Reward
_UI_NamedObject_name_feature = Name
_UI_Unknown_feature = Unspecified

_UI_FSM_type_feature = Type
_UI_FSMType_Requirement_literal = Requirement
_UI_FSMType_Plant_literal = Plant
_UI_FSMType_Supervisor_literal = Supervisor
_UI_FSMType_None_literal = None
_UI_Event_type = Event
_UI_MaxPlusSpecification_controllable_feature = Controllable
_UI_MaxPlusSpecification_uncontrollable_feature = Uncontrollable
_UI_FSMState_isMarked_feature = Is Marked
_UI_FSMState_marked_feature = Marked
